# collada.camera.OrthographicCamera

class collada.camera.OrthographicCamera(id, znear, zfar, xmag=None, ymag=None, aspect_ratio=None, xmlnode=None)

  Orthographic camera as defined in COLLADA tag <orthographic>.

  __init__(id, znear, zfar, xmag=None, ymag=None, aspect_ratio=None, xmlnode=None)

    Create a new orthographic camera.

    Note: `aspect_ratio = xmag / ymag`

    You can specify one of:

      - `xmag` alone

      - `ymag` alone

      - `xmag` and `ymag`

      - `xmag` and `aspect_ratio`

      - `ymag` and `aspect_ratio`

    Any other combination will raise `collada.common.DaeMalformedError`

    Parameters

      - id (str) – Identifier for the camera

      - znear (float) – Distance to the near clipping plane

      - zfar (float) – Distance to the far clipping plane

      - xmag (float) – Horizontal magnification of the view

      - ymag (float) – Vertical magnification of the view

      - aspect_ratio (float) – Aspect ratio of the field of view

      - xmlnode – If loaded from xml, the xml node

  Methods

  `__init__`(id, znear, zfar[, xmag, ymag, ...]) | Create a new orthographic camera.
  `bind`(matrix) | Create a bound camera of itself based on a transform matrix.
  `load`(collada, localscope, node) | Load and return a class instance from an XML node.
  `save`() | Saves the orthographic camera's properties back to xmlnode

  Attributes

  `xmlnode` | ElementTree representation of the data.
  `id` | Identifier for the camera
  `xmag` | Horizontal magnification of the view
  `ymag` | Vertical magnification of the view
  `aspect_ratio` | Aspect ratio of the field of view
  `znear` | Distance to the near clipping plane
  `zfar` | Distance to the far clipping plane